Bug 1118829 - [RFE] provide a simple bug reporting tool
Summary: [RFE] provide a simple bug reporting tool
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 15:52 UTC by David Sieg
Modified: 2016-02-08 14:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-29 14:50:55 UTC


Attachments (Terms of Use)

Description David Sieg 2014-07-11 15:52:52 UTC
Description of problem:
There is no way to tell the creator of a copr (or other users) that the provided packages aren't working properly on your system, e.g.: missing depencies. In addition this could help other users to see if packages are broken, the copr is active[1] or stuff like that.

I don't think that the coprs need a full-featured bugzilla instance. A simple think like the issue tracker of github should do the trick.


[1] Unanswered bug reports are always a bad sign...

Comment 1 Miroslav Suchý 2014-07-14 12:38:46 UTC
I do not think we need to enforce of such attribute.
And Copr already have Instruction field.
I just edited the placeholder to say:
 Optional - describe how your project can be installed. Where users can report bugs and issues. Link to wiki is good as well.
Is this enough for you?

I can display email of the owner (I got this information from FAS), but I think people would not like to have it publicly shown on web as it will increase of SPAM in their folder.
You can retrieve the email from FAS as well, but you have to have FAS account to get this information.

Comment 2 Miroslav Suchý 2014-09-29 14:50:55 UTC
Should be in production now.


Note You need to log in before you can comment on or make changes to this bug.